CREATE TABLE hry_pi_config_properties] (
    CONFIG_PROPERTY_ID           NUMBER(18, 0)     NOT NULL,
    EXT_DEFINITION_ID            NUMBER(18, 0)     NOT NULL,
    REPORT_BLOCK_ID              NUMBER(18, 0) ,
    REPORT_RECORD_ID             NUMBER(18, 0) ,
    LEGISLATIVE_DATA_GROUP_ID    NUMBER(18, 0) ,
    LEGISLATION_CODE             VARCHAR2(120) ,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    PROPERTY_NAME                VARCHAR2(120)     NOT NULL,
    PROPERTY_VALUE               VARCHAR2(4000)    NOT NULL,
    MODULE_ID                    VARCHAR2(128) ,
    SGUID                        VARCHAR2(128) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    EXT_DATA_ELEMENT_ID          NUMBER(18, 0) ,
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL
);
